{ pkgs, ... }:

{
  home.packages = with pkgs; [ pfetch fortune ];

  programs.bash = {
    enable = true;
    shellAliases = {
      g = "git";
      ga = "g add";
      gc = "g commit -m ";
      gu = "ga . && gc";
      gs = "g status";
      gi = "g init";
      gp = "g push";
      gf = "g pull";
      gC = "g clone";
      goops = "g reset --soft HEAD^";

      r = "ranger";
      rm = "trash-put";
      emacs = "emacsclient -nw";
      # Make clear command clear scrollback
      # https://github.com/kovidgoyal/kitty/issues/268#issuecomment-355765686
      clear = "printf '\\E[H\\E[3J'";
    };
    bashrcExtra = with import ./bashrc.nix; ''
      ${bashrcExtra}
      if [ -z $TERMINAL_STARTED ] && [ -z $IN_NIX_SHELL ]; then
        ${greeter}
      fi
    '';
  };
}