{ ... }:

let
  theme = import ../theme;
in
{
  programs.kitty = { 
    enable = true;
    # https://github.com/kovidgoyal/kitty-themes/blob/master/themes.json
    theme = "${theme.kitty-theme}";
    font = {
      name = "FiraCode Nerd Font Mono";
      size = 12;
    };
    extraConfig = "enable_audio_bell 0\nconfirm_os_window_close 0\nbackground_opacity 0.7\nwindow_padding_width 2";
  };
  programs.bash.shellAliases = {
    # Fix for ""'xterm-kitty': unknown terminal type" error in remote sessions
    # See https://github.com/kovidgoyal/kitty/issues/713#issuecomment-750704294
    ssh = "kitty +kitten ssh";
  };
}
