{ pkgs, ... }:

{
  home = {
    packages = with pkgs; [
      todo-txt-cli
      #todofi-sh
    ];
    file = let
      todoDir = ".todo";
      actionsDir = "${todoDir}/actions";
    in {
      ".config/todo/config".text = ''
        export TODO_DIR=~/${todoDir}
        export TODO_ACTIONS_DIR=~/${actionsDir}
      '';
      "${actionsDir}/pri" = {
        source = ./pri.sh;
        executable = true;
      };
      "${actionsDir}/p" = {
        source = ./p.sh;
        executable = true;
      };
    };
  };
  programs = {
    bash.shellAliases.t = "todo.sh";
    neovim.plugins = with pkgs.vimPlugins; [ todo-txt-vim ];
  };
}
